from zope.interface import implements
from interfaces import IAnnotatedMetadataView
from adapter import AnnotatedMetadata
from Products.Five.browser import BrowserView
from AccessControl import ClassSecurityInfo
from Globals import InitializeClass
#from Products.CMFPlone import utils

class AnnotatedMetadataView(BrowserView):
    """ fetches the necessary fields for the edit form """

    implements(IAnnotatedMetadataView)
    security = ClassSecurityInfo()
    security.setDefaultAccess('allow')
    _guarded_writes = True

    security.declarePublic('fields')
    def fields(self):
        """Return the Fields to be used by the view
        """
        ann = AnnotatedMetadata(self.context)
        nace = {}
        nace['label'] = "Nace code"
        nace['fieldName'] = "nace"

        nace['value'] = ann.getValue('nace')

        return (nace,)

InitializeClass(AnnotatedMetadataView)