from Testing import ZopeTestCase

# Let Zope know about the two products we require above-and-beyond a basic
# Plone install (PloneTestCase takes care of these).
ZopeTestCase.installProduct('ProxyIndex')
ZopeTestCase.installProduct('ATSchemaEditorNG')
ZopeTestCase.installProduct('ATVocabularyManager')
ZopeTestCase.installProduct('DataGridField')
ZopeTestCase.installProduct('AnnotatableMetadata')

# Import PloneTestCase - this registers more products with Zope as a side effect
from Products.PloneTestCase.PloneTestCase import PloneTestCase
from Products.PloneTestCase.PloneTestCase import FunctionalTestCase
from Products.PloneTestCase.PloneTestCase import setupPloneSite

# Set up a Plone site, and apply the membrane and borg extension profiles
# to make sure they are installed.
# extension_profiles=(,),
setupPloneSite(products=('ATVocabularyManager', 'DataGridField', 'ATSchemaEditorNG', 'AnnotatableMetadata',))

class AnnotatableMetadataTestCase(PloneTestCase):
    """Base class for integration tests for the 'AnnotatableMetadata' product.
    """

class AnnotatableMetadataFunctionalTestCase(FunctionalTestCase):
    """Base class for functional integration tests for the 'AnnotatableMetadata' product.
    """